Economy

Update Product

PUT
/products/{productId}

Updates a product and returns the updated Product object.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

productId*string

Must be a valid product ID.

Request Body

application/json

Response Body

application/json

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/products/prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4" \  -H "Content-Type: application/json" \  -d '{}'
{
  "archived": true,
  "created": "2019-08-24T14:15:22Z",
  "description": "string",
  "displayName": "string",
  "groupAccess": false,
  "groupAccessRemove": false,
  "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "groupRoleId": "grol_459d3911-f672-44bc-b84d-e54ffe7960fe",
  "id": "prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4",
  "imageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
  "imageUrl": "string",
  "parentListings": [
    "prod_bfbc2315-247a-44d7-bfea-5237f8d56cb4"
  ],
  "productType": "inventory",
  "productTypeLabel": "string",
  "purchaseCount": 0,
  "purchaseCountQuantity": 0,
  "sellerDisplayName": "string",
  "sellerId": "string",
  "tags": [
    "string"
  ],
  "updated": "2019-08-24T14:15:22Z",
  "useForSubscriberList": false
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}